Project

General

Profile

Actions

Bug #771

closed

test/unit wrapper breaks compatibility

Added by bitsweat (Jeremy Daer) about 13 years ago. Updated over 10 years ago.

Status:
Closed
Priority:
Normal
ruby -v:
Backport:
[ruby-core:20014]

Description

=begin
The test/unit wrapper breaks libraries that add behavior to Test::Unit::TestCase.

You can't require 'test/unit/testcase' because it doesn't exist. But you can't require 'test/unit' because it autoruns tests.

The patch brings back test/unit/testcase.rb and test/unit/assertions.rb to restore compatibility.
=end


Files

testcase_compatibility.patch (10.9 KB) testcase_compatibility.patch bitsweat (Jeremy Daer), 11/21/2008 09:33 AM
Actions #1

Updated by ko1 (Koichi Sasada) about 13 years ago

  • Assignee set to yugui (Yuki Sonoda)

=begin

=end

Actions #2

Updated by bitsweat (Jeremy Daer) almost 13 years ago

=begin
With this change, Rails tests are 1.9 compatible!
=end

Actions #3

Updated by yugui (Yuki Sonoda) almost 13 years ago

  • Assignee changed from yugui (Yuki Sonoda) to akr (Akira Tanaka)
  • Priority changed from Normal to 5

=begin

=end

Actions #4

Updated by akr (Akira Tanaka) almost 13 years ago

  • Status changed from Open to Closed
  • % Done changed from 0 to 100

=begin
Applied in changeset r20632.
=end

Actions

Also available in: Atom PDF